package com.tykj.dev.device.apply.service;


import com.tykj.dev.device.apply.subject.domin.DeviceApplyBill;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface DeviceApplyBillService {

    DeviceApplyBill addEntity(DeviceApplyBill deviceApplyBillEntity);

    /**
     * @param deviceApplyBills 异步上链
     */
    void sendHash(List<DeviceApplyBill> deviceApplyBills);

    DeviceApplyBill update(DeviceApplyBill deviceApplyBillEntity);

    DeviceApplyBill getOne(Integer id);

}
